summaryrefslogtreecommitdiff
path: root/packaging/Debian/debian-unstable/winbind.init
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2005-10-29 13:31:57 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:05:15 -0500
commit7ec71aa20d43fd45dd9321e42ada93ee10fd1d45 (patch)
tree829da267bc12da10dbdb2b3cf735d5de27639dd5 /packaging/Debian/debian-unstable/winbind.init
parentfa75e8c1d482cdbad2ff074eccb2baf8d5bba856 (diff)
downloadsamba-7ec71aa20d43fd45dd9321e42ada93ee10fd1d45.tar.gz
samba-7ec71aa20d43fd45dd9321e42ada93ee10fd1d45.tar.bz2
samba-7ec71aa20d43fd45dd9321e42ada93ee10fd1d45.zip
r11398: Keep s3 in sync with trunk
(This used to be commit 7fc05b79643c93eaf0ef028a7337889ed21c52ba)
Diffstat (limited to 'packaging/Debian/debian-unstable/winbind.init')
-rw-r--r--packaging/Debian/debian-unstable/winbind.init16
1 files changed, 10 insertions, 6 deletions
diff --git a/packaging/Debian/debian-unstable/winbind.init b/packaging/Debian/debian-unstable/winbind.init
index 2dfdf3b835..18e342597b 100644
--- a/packaging/Debian/debian-unstable/winbind.init
+++ b/packaging/Debian/debian-unstable/winbind.init
@@ -14,29 +14,33 @@ unset TMPDIR
# See if the daemon is there
test -x $DAEMON || exit 0
+. /lib/lsb/init-functions
+
case "$1" in
start)
- echo -n "Starting the Winbind daemon: winbindd"
+ log_daemon_msg "Starting the Winbind daemon" "winbind"
start-stop-daemon --start --quiet --exec $DAEMON
- echo "."
+ log_end_msg $?
;;
+
stop)
- echo -n "Stopping the Winbind daemon: winbindd"
+ log_daemon_msg "Stopping the Winbind daemon" "winbind"
start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
- echo "."
+ log_end_msg $?
;;
+
restart|force-reload)
- echo -n "Restarting the Winbind daemon: winbindd"
+ log_daemon_msg "Restarting the Winbind daemon" "winbind"
start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
sleep 2
start-stop-daemon --start --quiet --exec $DAEMON
- echo "."
+ log_end_msg $?
;;
*)
echo "Usage: /etc/init.d/winbind {start|stop|restart|force-reload}"